%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcname PyWebDAV

Name:           pywebdav
Version:        0.9.4.1
Release:        1%{?dist}
Summary:        WebDAV library

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.webdav.de/
Source0:        http://pywebdav.googlecode.com/files/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools-devel


%description
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.


%prep
%setup -q -n %{srcname}-%{version}

# remove the shebang lines
pushd DAV
for f in AuthServer.py BufferingHTTPServer.py INI_Parse.py davcopy.py davmove.py delete.py errors.py propfind.py utils.py
do
    sed -i -e '1d' $f
done
popd

chmod a-x DAVServer/server.py

# lower the required setuptools version to the one available in EL-5
sed -i s/"0.6c9"/"0.6c7"/ ez_setup.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*
%doc DAVServer
%{python_sitelib}/DAV
%{python_sitelib}/%{srcname}*
%exclude %{python_sitelib}/DAVServer*
%exclude %{_bindir}/*


%changelog
* Tue Mar  1 2011 Dan Horák <dan[at]danny.cz> 0.9.4.1-1
- update to 0.9.4.1

* Mon Nov 29 2010 Dan Horák <dan[at]danny.cz> 0.9.4-1
- update to 0.9.4

* Thu Sep  3 2009 Dan Horák <dan[at]danny.cz> 0.9.3-2
- drop dependency on PyXML (#520984)

* Wed Aug 26 2009 Dan Horák <dan[at]danny.cz> 0.9.3-1.1
- fix build on EL-5, lower the required setuptools version

* Wed Aug 26 2009 Dan Horák <dan[at]danny.cz> 0.9.3-1
- update to 0.9.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Dan Horák <dan[at]danny.cz> 0.9.2-1
- update to 0.9.2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Dan Horák <dan[at]danny.cz> 0.8-2
- add PyDAVServer as an example into docs

* Mon Dec 22 2008 Dan Horák <dan[at]danny.cz> 0.8-1
- initial Fedora version
